# webguardian-development

### Requirements
Python 3.6+<br>
FastAPI <br>
Uvicorn or simillar service <br>
OWASP-ZAP  <br>
nmap <br>

### [How to install fastApi on windows](https://codinggear.blog/how-to-install-fastapi-on-computer-using-pip/)


### Install on Linux based destros or WSL

#### Install FastAPI
```bash
python3 -m pip install fastapi
```
#### Install server[scan.py](scan.py)
```bash
pip install uvicorn
```
#### Install ZAPv2 api
```bash
pip install python-owasp-zap-v2.4
```
#### Install nmap library

```bash
pip install python-nmap
```

### Change api key
> open your owasp application and click : <br> Tools -> Options -> api 

### Copy the API key and paste it into the code 

### finally run : 

```bash
uvicorn scan:app --reload 
```
-----------------------------------------------
>pip install fastapi

>pip install "uvicorn[standard]"

>pip install python-nmap

>python -m uvicorn scan:app --reload


Download Owasp 
https://www.zaproxy.org/download/


### open your owasp application and click :
Tools -> Options -> api


Install Nmap(in C:)

nmap_path = [r"C:\Program Files (x86)\Nmap\nmap.exe",]

nm =  nmap.PortScanner(nmap_search_path=nmap_path)