import mongoose from "mongoose";

const otpSchema = mongoose.Schema({
  email: {
    type: String,
  },
  otp: {
    type: String,
  },
  applicationName: {
    type: String,
  },
  token: {
    type: String,
  },
  createdAt: {
    type: Date
  },
  expiresAt: {
    type: Date
  },

},
{
  collection: "otp",
}
);

const Otp = mongoose.model("Otp", otpSchema);
export default Otp;
