import { NextApiRequest, NextApiResponse } from 'next';
import fetch from 'node-fetch';

export default async (req: NextApiRequest, res: NextApiResponse) => {
  const { tech } = req.query;

  const url = `https://api.cvesearch.com/search?q=${tech}`;
  const response = await fetch(url);
  const data = await response.json();

  res.status(response.status).json(data);
};
